Difference between revisions of "Package repositories"

From Proxmox VE
Jump to navigation Jump to search
(added 2.x repo)
Line 34: Line 34:
  
 
=Outdated: Proxmox VE 1.x=
 
=Outdated: Proxmox VE 1.x=
Proxmox VE 1.x is based on Debian 5.0 (Lenny)
+
Proxmox VE 1.x is based on Debian 5.0 (Lenny), see [[Installing_Proxmox_VE_v1.9_post_Lenny_retirement]]
  
 
[[Category: HOWTO]][[Category: Installation]]
 
[[Category: HOWTO]][[Category: Installation]]

Revision as of 13:42, 16 July 2012

Introduction

Proxmox VE is using APT as package management system. For detailed update instructions see always Downloads.

The list of repositories is defined in /etc/apt/sources.list.

Proxmox VE 2.x

Proxmox VE 2.x is based on Debian 6.0 (Squeeze).

Stable repository (pve)

In order to use the stable repository, check your sources.list:

nano /etc/apt/sources.list
deb http://ftp.debian.org/debian squeeze main contrib

# PVE packages provided by proxmox.com
deb http://download.proxmox.com/debian squeeze pve

# security updates
deb http://security.debian.org/ squeeze/updates main contrib

Testing repository (pvetest)

In order to use the test repository, check your sources.list:

nano /etc/apt/sources.list
deb http://ftp.debian.org/debian squeeze main contrib

# PVE packages provided by proxmox.com
 deb http://download.proxmox.com/debian squeeze pvetest

# security updates
deb http://security.debian.org/ squeeze/updates main contrib

Outdated: Proxmox VE 1.x

Proxmox VE 1.x is based on Debian 5.0 (Lenny), see Installing_Proxmox_VE_v1.9_post_Lenny_retirement